import DS from 'ember-data';

export default DS.Model.extend({
	login: DS.attr('string'),
	passwordHash: DS.attr('string'),
	firstName: DS.attr('string'),
	lastName: DS.attr('string'),
	email: DS.attr('string'),
	imageUrl: DS.attr('string'),
	activated: DS.attr('boolean'),
	createdBy: DS.attr('string'),
	createdDate: DS.attr('date'),
	lastModifiedBy: DS.attr('string'),
	lastModifiedDate: DS.attr('date'),
	authorities: DS.hasMany('authority'),
	todos: DS.hasMany('todo')
});
