import EmberRouter from '@ember/routing/router';
import config from './config/environment';

const Router = EmberRouter.extend({
  location: config.locationType,
  rootURL: config.rootURL
});

Router.map(function() {
	this.route('entity-factory', function() {
    this.route('todo');
    this.route('authority');
    this.route('user');
    });
    this.route('active');
    this.route('completed');
});

export default Router;
